<?php

/**
 * WooCommerce Theme Functions.
 * @author  	 DeoThemes
 * @copyright  (c) Copyright by DeoThemes
 * @link       https://deothemes.com
 * @package 	 Everse
 * @since 		 1.0.0
 */
if ( !defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
if ( !function_exists( 'everse_woo_cart_icon' ) ) {
    /**
     * WooCommerce cart icon
     */
    function everse_woo_cart_icon( $minicart_show = false, $layout = 'dropdown' )
    {
        static  $called = false ;
        if ( !everse_is_woocommerce_activated() || is_null( WC()->cart ) ) {
            return;
        }
        $count = WC()->cart->get_cart_contents_count();
        $classes = [ 'everse-menu-cart__url' ];
        if ( $minicart_show ) {
            $classes[] = 'everse-offcanvas-js-trigger';
        }
        ?>

		<div class="everse-menu-cart woocommerce">
			<a class="<?php 
        echo  esc_attr( implode( ' ', $classes ) ) ;
        ?>" href="<?php 
        echo  esc_url( wc_get_cart_url() ) ;
        ?>" title="<?php 
        echo  esc_attr__( 'View my shopping cart', 'everse' ) ;
        ?>">
				<span class="everse-menu-cart__icon-holder">
					<i class="everse-icon-cart everse-menu-cart__icon" aria-hidden="true"></i>
					<span class="everse-menu-cart__count everse-item-counter <?php 
        if ( 0 === $count ) {
            'd-none';
        }
        ?>"><?php 
        echo  esc_html( $count ) ;
        ?></span>
				</span>
			</a>

			<?php 
        ?>

			<?php 
        
        if ( 'dropdown' === $layout ) {
            ?>
				<?php 
            
            if ( 0 < $count ) {
                echo  '<div class="everse-menu-cart__dropdown">' ;
                woocommerce_mini_cart();
                echo  '</div>' ;
            }
            
            ?>
			<?php 
        }
        
        ?>

		</div>
		<?php 
    }

}
if ( !function_exists( 'everse_woo_cart_ajax_dropdown' ) ) {
    /**
     * WooCommerce Ajax cart contents update
     */
    function everse_woo_cart_ajax_dropdown( $fragments )
    {
        if ( !everse_is_woocommerce_activated() || is_null( WC()->cart ) ) {
            return;
        }
        ob_start();
        everse_woo_cart_icon();
        $fragments['.everse-menu-cart'] = ob_get_clean();
        return $fragments;
    }

}