<?php

/**
 * Customizer Footer
 *
 * @package Everse
 * @since 1.0.0
 */
if ( !defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
if ( defined( 'EVERSE_CORE_VERSION' ) ) {
    // Footer template notice
    Kirki::add_field( 'everse_settings_config', array(
        'type'     => 'custom',
        'settings' => 'everse_settings_footer_template_notice',
        'section'  => 'everse_settings_default_footer',
        'default'  => '<div class="notice notice-info"><p>' . sprintf( esc_html__( 'To edit custom Elementor footer template navigate to %1$s', 'everse' ), sprintf( '<a href="%s">%s</a>', esc_url( admin_url( 'edit.php?post_type=theme_template' ) ), esc_html__( 'Theme Templates.', 'everse' ) ) ) . '</p></div>',
    ) );
}
// Show footer
Kirki::add_field( 'everse_settings_config', array(
    'type'     => 'toggle',
    'settings' => 'everse_settings_footer_show',
    'label'    => esc_html__( 'Show default footer', 'everse' ),
    'section'  => 'everse_settings_footer',
    'default'  => true,
) );
// Footer container width
Kirki::add_field( 'everse_settings_config', array(
    'type'            => 'slider',
    'settings'        => 'everse_settings_footer_container_width',
    'label'           => esc_html__( 'Footer container width', 'everse' ),
    'section'         => 'everse_settings_footer',
    'default'         => 1120,
    'choices'         => array(
    'min'  => '400',
    'max'  => '1920',
    'step' => '1',
),
    'output'          => array( array(
    'element'  => '.footer .container',
    'property' => 'max-width',
    'units'    => 'px',
) ),
    'active_callback' => array( array(
    'setting'  => 'everse_settings_footer_show',
    'operator' => '==',
    'value'    => true,
) ),
    'transport'       => 'auto',
) );
// Show footer widgets
Kirki::add_field( 'everse_settings_config', array(
    'type'            => 'toggle',
    'settings'        => 'everse_settings_footer_widgets_show',
    'label'           => esc_attr__( 'Show footer widgets', 'everse' ),
    'section'         => 'everse_settings_footer',
    'default'         => true,
    'active_callback' => array( array(
    'setting'  => 'everse_settings_footer_show',
    'operator' => '==',
    'value'    => true,
) ),
) );
// Show footer bottom menu
Kirki::add_field( 'everse_settings_config', array(
    'type'            => 'toggle',
    'settings'        => 'everse_settings_footer_bottom_menu_show',
    'label'           => esc_html__( 'Show bottom footer menu', 'everse' ),
    'section'         => 'everse_settings_footer',
    'default'         => true,
    'active_callback' => array( array(
    'setting'  => 'everse_settings_footer_show',
    'operator' => '==',
    'value'    => true,
) ),
) );
// Bottom footer text
Kirki::add_field( 'everse_settings_config', array(
    'type'              => 'textarea',
    'settings'          => 'everse_settings_footer_bottom_text',
    'section'           => 'everse_settings_footer',
    'label'             => esc_html__( 'Bottom footer text', 'everse' ),
    'description'       => esc_html__( 'Allowed HTML: a, img, span, i, em, strong', 'everse' ),
    'sanitize_callback' => 'wp_kses_post',
    'default'           => esc_html__( 'Copyright &copy; [current_year]. All Rights Reserved.', 'everse' ),
    'active_callback'   => array( array(
    'setting'  => 'everse_settings_footer_show',
    'operator' => '==',
    'value'    => true,
) ),
) );
everse_pro_customizer_options( 'everse_settings_footer', wp_unique_id() );