<?php
/**
 * Customizer Typography
 *
 * @package Everse
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}

/**
 * Add custom choice
 */
if ( ! function_exists( 'everse_add_custom_choice' ) ) {
	function everse_add_custom_choice() {
		return array(
			'fonts' => apply_filters( 'everse_kirki_font_choices', array() )
		);
	}
}

/*-------------------------------------------------------*/
/* Headings
/*-------------------------------------------------------*/

// Headings
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_headings_font',
	'label'       => '<h2 class="customizer-control-title__heading">' . esc_html__( 'Headings font', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_headings',
	'default'     => array(
		'font-family'    => $heading_font,
		'variant'			 	 => '700',
		'line-height' 	 => '1.3',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['headings'],
		),
		array(
			'element'  => isset( $selectors['shop_headings_font'] ) ? $selectors['shop_headings_font'] : null,
		),
	),
	'transport' => 'auto',
));


// H1
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_headings_h1',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'H1 Headings', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_headings',
	'default'     => array(
		'font-size'   => '42px',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['h1'],
		)
	),
	'transport' => 'auto',
));

// H2
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_headings_h2',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'H2 Headings', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_headings',
	'default'     => array(
		'font-size'   => '34px',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['h2'],
		)
	),
	'transport' => 'auto',
));

// H3
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_headings_h3',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'H3 Headings', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_headings',
	'default'     => array(
		'font-size'   => '28px',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['h3'],
		)
	),
	'transport' => 'auto',
));

// H4
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_headings_h4',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'H4 Headings', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_headings',
	'default'     => array(
		'font-size'   => '24px',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['h4'],
		)
	),
	'transport' => 'auto',
));

// H5
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_headings_h5',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'H5 Headings', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_headings',
	'default'     => array(
		'font-size'   => '20px',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['h5'],
		)
	),
	'transport' => 'auto',
));

// H6
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_headings_h6',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'H6 Headings', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_headings',
	'default'     => array(
		'font-size'   => '16px',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => 'h6',
		)
	),
	'transport' => 'auto',
));

// Body typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_body_typography',
	'label'       => '<h2 class="customizer-control-title__heading">' . esc_html__( 'Body Text', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_body_text',
	'default'     => array(
		'font-family'    => $body_font,
		'font-size'      => '16px',
		'line-height'    => '1.5',
		'letter-spacing' => 'normal',
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['text'],
		)
	),
	'transport' => 'auto',
));


/*-------------------------------------------------------*/
/* Blog
/*-------------------------------------------------------*/

// Post title typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_post_title_typography',
	'label'       => '<h2 class="customizer-control-title__heading">' . esc_html__( 'Post title', 'everse' ) . '</h2>',
	'description' => esc_html__( 'Applies above 1200px,', 'everse' ),
	'section'     => 'everse_settings_typography_blog_text',
	'default'     => array(
		'font-size'   => '42px',
		'line-height' => '1.2',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => '.single-post__entry-title, .editor-post-title__input',
			'media_query' => $bp_xl_up,
		)
	),
	'transport' => 'auto',
));

// Post typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_post_typography',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'Post body text', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_blog_text',
	'default'     => array(
		'font-size'      => '18px',
		'line-height'    => '1.8',
		'letter-spacing' => 'normal',
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => '.entry__article, .wp-block-post-content',
		)
	),
	'transport' => 'auto',
));

// Blog meta typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_blog_meta_typography',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'Blog meta', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_blog_text',
	'default'     => array(
		'font-family'    => $body_font,
		'font-size'      => '14px',
		'variant'				 => 'normal',
		'letter-spacing' => 'normal',
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => '.entry__meta-item',
		),
	),
	'transport' => 'auto',
));

// Read more link typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_read_more_typography',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'Read more link', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_blog_text',
	'default'     => array(
		'font-size'      => '16px',
		'variant'				 => 'normal',
		'letter-spacing' => 'normal',
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => '.read-more',
		),
	),
	'transport' => 'auto',
));


/*-------------------------------------------------------*/
/* Forms
/*-------------------------------------------------------*/

// Buttons typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_buttons_typography',
	'label'       => '<h2 class="customizer-control-title__heading">' . esc_html__( 'Buttons', 'everse' )  . '</h2>',
	'section'     => 'everse_settings_typography_forms_text',
	'default'     => array(
		'font-family'    => $heading_font,
		'variant'				 => '700',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['buttons'],
		),
		array(
			'element'  => isset( $selectors['learndash_buttons'] ) ? $selectors['learndash_buttons'] : null,
		),
		array(
			'element' => '.wp-block-button .wp-block-button__link',	
		)
	),
	'transport' => 'auto',
));

// Labels typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_labels_typography',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'Labels', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_forms_text',
	'default'     => array(
		'font-family'    => $heading_font,
		'font-size'			 => '12px',
		'variant'				 => '700',
		'letter-spacing' => 'normal',
		'text-transform' => 'uppercase'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => 'label',
		),
	),
	'transport' => 'auto',
));

// Input fields typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_input_fields_typography',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'Input fields', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_forms_text',
	'default'     => array(
		'font-size'			 => '15px',
		'variant'				 => 'normal',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => 'input, select, textarea',
		),
	),
	'transport' => 'auto',
));


/*-------------------------------------------------------*/
/* Shop
/*-------------------------------------------------------*/

// Shop typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_shop_product_titles_typography',
	'label'       => '<h2 class="customizer-control-title__heading">' . esc_html__( 'Product titles', 'everse' ) . '</h2>',
	'description' => esc_html__( 'Will apply only on big screens', 'everse' ),
	'section'     => 'everse_settings_shop_text',
	'default'     => array(
		'font-size'			 => '16px',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element'			=> '.woocommerce ul.products li.product .woocommerce-loop-product__title',
			'media_query' => $bp_lg_up,
		),
	),
	'transport' => 'auto',
));


/*-------------------------------------------------------*/
/* Header
/*-------------------------------------------------------*/

// Menu Links typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_menu_links_typography',
	'label'       => '<h2 class="customizer-control-title__heading">' . esc_html__( 'Menu links', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_header',
	'default'     => array(
		'font-family' => $body_font,
		'variant'			=> '600',
		'font-size'		=> '16px',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => '.nav__menu > li > a',
		),
	),
	'transport' => 'auto',
));

// Dropdown menu Links typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_dropdown_menu_links_typography',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'Dropdown menu links', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_header',
	'default'     => array(
		'font-family' => $body_font,
		'variant'			=> '400',
		'font-size'		=> '16px',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => '.nav__dropdown-menu li a, .everse-menu-cart__dropdown li a',
		),
	),
	'transport' => 'auto',
));



/*-------------------------------------------------------*/
/* Footer
/*-------------------------------------------------------*/

// Footer widget title typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_footer_widget_title_typography',
	'label'       => '<h2 class="customizer-control-title__heading">' . esc_html__( 'Widget title', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_footer',
	'default'     => array(
		'font-size'		=> '18px',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => '.footer .widget-title',
		),
	),
	'transport' => 'auto',
));

// Footer text typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_footer_text_typography',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'Text', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_footer',
	'default'     => array(
		'font-size'		=> '16px',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['footer_widgets_text_color'],
		),
	),
	'transport' => 'auto',
));

// Footer widget links typography
Kirki::add_field( 'everse_settings_config', array(
	'type'        => 'typography',
	'settings'    => 'everse_settings_footer_widget_links_typography',
	'label'       => '<hr class="customizer-separator"><h2 class="customizer-control-title__heading">' . esc_html__( 'Widget links', 'everse' ) . '</h2>',
	'section'     => 'everse_settings_typography_footer',
	'default'     => array(
		'font-size'		=> '16px',
		'letter-spacing' => 'normal',
		'text-transform' => 'none'
	),
	'choices'  => everse_add_custom_choice(),
	'output' => array(
		array(
			'element' => $selectors['footer_widgets_links_color'],
		),
	),
	'transport' => 'auto',
));